curl -X POST "https://api.scanova.io/custom-domain/42/certificate-request/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "us",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com"
}'
{
"id": 5,
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "US",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com",
"csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
"created": "2026-09-08T09:00:00Z"
}
自定义域名
创建 SSL 证书请求
POST /custom-domain//certificate-request/
POST
/
custom-domain
/
{pk}
/
certificate-request
/
curl -X POST "https://api.scanova.io/custom-domain/42/certificate-request/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "us",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com"
}'
{
"id": 5,
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "US",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com",
"csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
"created": "2026-09-08T09:00:00Z"
}
在 Management API 主机(
私钥和 CSR 均在服务器端生成——任何端点都不会返回私钥,也不接受将其作为输入,只有 CSR 文本会被返回。将返回的
api.scanova.io)上为域名生成一个新的 SSL 证书签名请求(CSR),使用您的原始 Management API 密钥进行身份验证。
POST https://api.scanova.io/custom-domain/{pk}/certificate-request/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
仅限企业版。需要
CUSTOM_DOMAIN_CUSTOM_SSL 配额,该配额需人工授予——没有任何自助套餐包含此配额。integer
必填
域名的
id。string
必填
证书主体的组织名称。
string
必填
证书主体的组织单位。
string
必填
两位字母的 ISO 国家代码——自动转为大写;如果不是恰好 2 个字母字符,则被拒绝。
string
必填
州或省。
string
必填
城市或地区。
string
必填
证书主体的联系邮箱。
curl -X POST "https://api.scanova.io/custom-domain/42/certificate-request/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "us",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com"
}'
{
"id": 5,
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "US",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com",
"csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
"created": "2026-09-08T09:00:00Z"
}
csr 提交给您的证书颁发机构,然后通过上传 SSL 证书将签发的证书带回来。
如果 country 不是恰好 2 个字母字符,则返回 400。如果账户缺少 CUSTOM_DOMAIN_CUSTOM_SSL 配额,则返回 403。
相关内容
- 获取最新的 SSL 证书请求——恢复正在进行的流程。
- 上传 SSL 证书——CA 签发证书后的下一步。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
CSR created.
此页面对您有帮助吗?